package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.BomanReservat;
import org.apache.ibatis.annotations.Param;

/**
 * 陵园预约Mapper接口
 * 
 * @author ruoyi
 * @date 2023-11-02
 */
public interface BomanReservatMapper 
{
    /**
     * 查询陵园预约
     * 
     * @param reservatId 陵园预约主键
     * @return 陵园预约
     */
    public BomanReservat selectBomanReservatByReservatId(Long reservatId);

    /**
     * 查询陵园预约列表
     * 
     * @param bomanReservat 陵园预约
     * @return 陵园预约集合
     */
    public List<BomanReservat> selectBomanReservatList(BomanReservat bomanReservat);

    /**
     * 新增陵园预约
     * 
     * @param bomanReservat 陵园预约
     * @return 结果
     */
    public int insertBomanReservat(BomanReservat bomanReservat);

    /**
     * 修改陵园预约
     * 
     * @param bomanReservat 陵园预约
     * @return 结果
     */
    public int updateBomanReservat(BomanReservat bomanReservat);

    /**
     * 删除陵园预约
     * 
     * @param reservatId 陵园预约主键
     * @return 结果
     */
    public int deleteBomanReservatByReservatId(Long reservatId);

    /**
     * 批量删除陵园预约
     * 
     * @param reservatIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBomanReservatByReservatIds(Long[] reservatIds);

    List<BomanReservat> selectBomanReservatbyYear(String date);

    List<BomanReservat> selectBomanReservatbySeven(@Param("first") String first, @Param("last")String last);
}
